POST Agents/List/SaveHierarchyEntity
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/List/SaveHierarchyEntity
Updates the existing HierarchyEntity or creates a new HierarchyEntity if the id parameter is 0.
NsApiSlow threshold: 5000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: hierarchyEntity
The HierarchyEntity that is saved
| Property Name | Type | Description |
|---|---|---|
| HierarchyId | Integer | The primary key (auto-incremented) |
| Domain | String | Domain seperating the different hierarchy |
| Name | String | Name of this hierarchy folder. |
| Fullname | String | The full name of this category, i.e. Foo/bar/test. |
| ParentId | Integer | Parent table |
| Children | Array | Sub-items, if any. |
| Registered | String | Registered when in UTC. |
| RegisteredAssociateId | Integer | Registered by whom |
| Updated | String | Last updated when in UTC. |
| UpdatedAssociateId | Integer | Last updated by whom |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: HierarchyEntity
| Property Name | Type | Description |
|---|---|---|
| HierarchyId | int32 | The primary key (auto-incremented) |
| Domain | string | Domain seperating the different hierarchy |
| Name | string | Name of this hierarchy folder. |
| Fullname | string | The full name of this category, i.e. Foo/bar/test. |
| ParentId | int32 | Parent table |
| Children | array | Sub-items, if any. |
| Registered | date-time | Registered when in UTC. |
| RegisteredAssociateId | int32 | Registered by whom |
| Updated | date-time | Last updated when in UTC. |
| UpdatedAssociateId | int32 | Last updated by whom |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/List/SaveHierarchyEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"HierarchyId": 526,
"Domain": "Dashboards",
"Name": "Blanda-Bashirian",
"Fullname": "et",
"ParentId": 60,
"Children": [
{
"HierarchyId": 316,
"Domain": "Dashboards",
"Name": "Hermiston-Senger",
"Fullname": "saepe",
"ParentId": 651,
"Children": [
{},
{}
],
"Registered": "2010-08-09T10:11:00.3812785+02:00",
"RegisteredAssociateId": 149,
"Updated": "2017-09-08T10:11:00.3812785+02:00",
"UpdatedAssociateId": 734
}
],
"Registered": "2004-10-01T10:11:00.3812785+02:00",
"RegisteredAssociateId": 510,
"Updated": "2020-11-24T10:11:00.3812785+01:00",
"UpdatedAssociateId": 156
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"HierarchyId": 362,
"Domain": "Dashboards",
"Name": "Cormier LLC",
"Fullname": "eum",
"ParentId": 399,
"Children": [
{
"HierarchyId": 577,
"Domain": "Dashboards",
"Name": "Davis Group",
"Fullname": "iste",
"ParentId": 103,
"Children": [
{},
{}
],
"Registered": "2003-11-12T10:11:00.3822775+01:00",
"RegisteredAssociateId": 356,
"Updated": "2018-11-07T10:11:00.3822775+01:00",
"UpdatedAssociateId": 908,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 245
}
}
}
],
"Registered": "2012-06-08T10:11:00.3822775+02:00",
"RegisteredAssociateId": 195,
"Updated": "2002-10-30T10:11:00.3822775+01:00",
"UpdatedAssociateId": 226,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 501
}
}
}